%define soname 0

Name:           nordlicht
Version:        0.3.5
Release:        4.2
License:        GPL-2.0+
Summary:        Creates colorful barcodes from video files
Url:            https://github.com/nordlicht/%{name}
Group:          Productivity/Multimedia/Editors and Convertors
Source0:        https://github.com/nordlicht/%{name}/archive/v%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  help2man
BuildRequires:  libffmpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  popt-devel

ExcludeArch:    %arm

%description
C library for converting video files into colorful
barcodes. It is inspired by the Moviebarcode Tumblr, but
aims at the next logical step: Integrating these barcodes
into video players to make navigation faster and more
precise.

This package provides a command line tool, which you can
use to generate your own barcodes easily.

%package -n lib%{name}%{soname}
Summary:        Creates colorful barcodes from video files
Group:          System/Libraries

%description -n lib%{name}%{soname}
C library for converting video files into colorful
barcodes. It is inspired by the Moviebarcode Tumblr, but
aims at the next logical step: Integrating these barcodes
into video players to make navigation faster and more
precise.

%package devel
Summary:        Development files for nordlicht
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{soname} >= %{version}
Provides:       pkgconfig(nordlicht)

%description devel
This package contains all necessary include files and
libraries needed to compile and develop applications that
use nordlicht.

%prep
%setup -q

%build
cmake . \
    -DCMAKE_C_FLAGS:STRING="%{optflags}" \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DLIB_INSTALL_DIR:PATH=%{_libdir}
make %{?_smp_mflags}

%install
%make_install

%post -n lib%{name}%{soname} -p /sbin/ldconfig
%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_mandir}/man1/%{name}.1%{ext_man}
%{_bindir}/%{name}

%files -n lib%{name}%{soname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.%{soname}

%files devel
%defattr(-,root,root)
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}.h

%changelog
* Thu Nov 20 2014 guillaume@opensuse.org
- Do not build for %%arm (build hangs)
* Thu Mar 20 2014 sebastian@morr.cc
- Bump package to version 0.3.5
* Sat Mar 15 2014 sebastian@morr.cc
- Update to version 0.3.4, which removes exit() calls from the library
- add pkgbuild-Requires to nordlicht-devel
* Mon Mar  3 2014 sebastian@morr.cc
- Initial package of upstream version 0.3.3
